Bug 177784 - up2date gives error if select-all is checked then any package is deselected
up2date gives error if select-all is checked then any package is deselected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 164831 168430
  Show dependency treegraph
 
Reported: 2006-01-13 17:32 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0098
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-13 17:32:47 EST
Description of problem:
Running up2date gui, on the "Available Package Updates" panel:  an error appears
if you select all packages, manually deselect any package(s), then try to move
forward.

Version-Release number of selected component (if applicable):
up2date-4.4.55-4

How reproducible:
always

Steps to Reproduce:
1.  Start up2date gui.
2.  Keep clicking "Forward" until the "Available Package Updates" panel appears.
3.  Click "Select all packages"
4.  Unselect one package.
5.  Click "Forward".

Actual results:
The following error message appears:

You must select at least one package.
If you do not wish to update any packages,
press the "Cancel" button to exit Update Agent.

Expected results:
up2date allows you to select all packages, then manually deselect any you do not
wish to install.

Additional info:
Comment 1 Adrian Likins 2006-01-17 16:18:27 EST
up2date-4.4.59
Comment 2 Beth Nackashi 2006-01-18 15:51:57 EST
*** Bug 177785 has been marked as a duplicate of this bug. ***
Comment 3 Beth Nackashi 2006-01-19 14:13:47 EST
verified fix in up2date-4.4.60-4 on i386, ia64, and x86_64
Comment 4 Suzanne Yeghiayan 2006-01-25 12:56:59 EST
Changing from RHEL4U3CanFix to RHEL4U3MustFix as per Jan 24 minutes.
Comment 6 Red Hat Bugzilla 2006-03-07 14:01:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0098.html

Note You need to log in before you can comment on or make changes to this bug.